Pagina 1 di 2

[RISOLTO]-lpthread???

Inviato: ven ago 27, 2010 11:26
da Trotto@81
Provando a compilare FF4 beta su Slack64 aggiornata al 29 luglio ottengo questo errore che non riesco bene a capire
che diavolo voglia.

Codice: Seleziona tutto

*** No rule to make target `-lpthread', needed by `js'.  Stop.

La libreria libpthread è correttamente installata, i link sembrano anche ok.

Re: -lpthread???

Inviato: dom ago 29, 2010 22:50
da Trotto@81
Non riesco a trovare nulla in rete, c'è qualcuno che possa darmi un suggerimento?

Re: -lpthread???

Inviato: dom ago 29, 2010 23:03
da Ansa89
Così a occhio sembra che "-lpthread" sia un target del Makefile, ma questo è piuttosto inusuale (anche considerato il fatto che ""-lpthread" è una direttiva di gcc/g++).
Non vorrei dire una super cavolata, ma forse il Makefile è stato scritto male :roll: .

Re: -lpthread???

Inviato: dom ago 29, 2010 23:45
da Trotto@81
E' della versione beta 4 fi FireFox4, se fosse come dici tu dovrei provare a compilare la b3.

Re: -lpthread???

Inviato: lun ago 30, 2010 9:49
da Ansa89
Ma non puoi prendere la versione già compilata di firefox 4.0 b4?

Re: -lpthread???

Inviato: lun ago 30, 2010 11:29
da Ansa89
Ho provato a compilare la beta 4 (presa da qui) e non mi dà nessun errore.
Forse il problema è che tu usi slackware64 :roll: .

Re: -lpthread???

Inviato: lun ago 30, 2010 13:28
da Trotto@81
Azz, non credevo ci fossero anche problemi del genere. :shock:
Ho sempre usato ed uso Firefox compilato da me con le opzioni che preferisco.

Re: -lpthread???

Inviato: lun ago 30, 2010 13:36
da Ansa89
Trotto@81 ha scritto:Azz, non credevo ci fossero anche problemi del genere. :shock:

La mia è solo un'ipotesi, l'ideale sarebbe se qualcun altro che usa slackware64 facesse qualche prova.

Re: -lpthread???

Inviato: lun ago 30, 2010 13:50
da Trotto@81
Ho provato anche ad aggiungere l'opzione alle flags, ma da sempre lo stesso errore.
Qualcuno che ha la versione a 64 bit e voglia fare la prova sarebbe l'ideale.
Si può usare anche lo salckbuild di Pat volendo, con qualche piccola modifica.

Re: -lpthread???

Inviato: mer set 01, 2010 15:45
da Trotto@81
https://bugzilla.mozilla.org/show_bug.cgi?id=514393#c11
Nel link si parla del problema che lamento io, ma non ho capito se hanno intenzione di fixarlo o meno. :?

Re: -lpthread???

Inviato: mer set 01, 2010 18:17
da hashbang
A questo punto conviene forse pacchettizzare il precompilato di firefox 4 beta a 64 bit

Re: -lpthread???

Inviato: mer set 01, 2010 18:53
da Trotto@81
Capito, ma servirebbe per i 64bit e lo slackbuild per il 3.6 non va bene in ogni caso per via delle patch sicuramente differenti.
Questo bug è stato segnalato quasi un anno fa, ma nessuno l'ha preso in carico. :(

Re: -lpthread???

Inviato: mar set 07, 2010 10:11
da Trotto@81
Nel ChangeLog di oggi Pat ringrazia Ed Martin per aver risolto il problema relativo a make su x86_64 :D

Re: [RISOLTO]-lpthread???

Inviato: mar dic 21, 2010 23:04
da robbybby
Ritiro su questa discussione, perché mi sono scontrato con questo problema, provando a compilare ff4-b8. C'è una soluzione per la 13.1 stabile?

Re: [RISOLTO]-lpthread???

Inviato: mar dic 21, 2010 23:56
da Trotto@81
Il problema è stato fixato in current ricompilando make con un flag che specifica il percorso delle librerie.